std::experimental::ranges::iterator_t,std::experimental::ranges::sentinel_t(3)

NAME
std::experimental::ranges::iterator_t,std::experimental::ranges::sentinel_t - std::experimental::ranges::iterator_t,std::experimental::ranges::sentinel_t

Synopsis
   Defined in header <experimental/ranges/range>
   template< class T > (1) (ranges TS)
   using iterator_t = decltype(ranges::begin(std::declval<T&>()));
   template< class T > (2) (ranges TS)
   using sentinel_t = decltype(ranges::end(std::declval<T&>()));
   Obtain the iterator and sentinel types of a range T.